# Functor Netdn.DN_string_generic

    module DN_string_generic: functor (L : AT_LOOKUP) -> DN_string

For a given attribute lookup module `L` this module provides parser and printer for distinguished names in string format (RFC 4514).

Parameters:

`L` | : | `AT_LOOKUP`

For a given attribute lookup module `L` this module provides parser and printer for distinguished names in string format (RFC 4514).

This implementation is restricted to attributes using the ASN.1 types `PrintableString`, `TeletexString`, `IA5String`, `UniversalString`, `BMPString`, and `UTF8String`. It is not possible to parse hexencoded strings ('#' notation).

(NB. We'd need a generic BER printer for supporting this.)

    val parse : string -> Netdn.dn

Parses the string (or fails). The string must use UTF-8 encoding.

    val print : Netdn.dn -> string

Prints the DN (cannot fail), using UTF-8 encoding